## monkeys-audio-dmo 6.37

=== Source/Projects/NonWindows/Makefile ===
# Find system
UNAME	  = $(shell uname)

SRCDIR	  = $(dir $(lastword $(MAKEFILE_LIST)))../../..
VPATH	  = $(SRCDIR)

VERSION	  = 8

CXXOPTS	  = -I $(SRCDIR)/Source/Shared -I $(SRCDIR)/Source/MACLib -c
LDOPTS	  = -lstdc++

DLLLDOPTS = -shared
CMDLDOPTS = 

ifneq ($(findstring MINGW,$(UNAME)),)
	SHAREDEXT  = dll

	DLLNAME	   = Source/MACDll.$(SHAREDEXT)
	LIBNAME	   = Source/libMAC.a
	CMDNAME	   = Source/MAC.exe

	CXXOPTS	  += -D PLATFORM_WINDOWS

	DLLLDOPTS += -Wl,--kill-at,--out-implib,$(LIBNAME)
	CMDLDOPTS += -municode -mconsole -Wl,--enable-stdcall-fixup
else
	SHAREDEXT  = so

	DLLNAME	   = libMAC.$(SHAREDEXT).$(VERSION)
	CMDNAME	   = mac

	CXXOPTS	  += -fPIC

#	Use the .dylib extension for shared objects on macOS.
	ifeq ($(UNAME),Darwin)
		SHAREDEXT = dylib

		DLLNAME	  = libMAC.$(VERSION).$(SHAREDEXT)
	endif

#	Set library name when linking.
	ifeq ($(UNAME),Darwin)
		DLLLDOPTS += -Wl,-dylib_install_name,$(DLLNAME)
	else
		DLLLDOPTS += -Wl,-soname,$(DLLNAME)
	endif

#	Set folders if not provided.
	ifndef prefix
		prefix = /usr/local
	endif

	ifndef bindir
		bindir = $(prefix)/bin
	endif

	ifndef libdir
		libdir = $(prefix)/lib
	endif

	ifndef includedir
		includedir = $(prefix)/include
	endif

#	Define PLATFORM_LINUX on all non-Apple platforms.
	ifeq ($(UNAME),Darwin)
		CXXOPTS += -D PLATFORM_APPLE
	else
		CXXOPTS += -D PLATFORM_LINUX
	endif
endif

SHAREDOBJECTS = Source/Shared/CharacterHelper.o Source/Shared/CircleBuffer.o Source/Shared/CRC.o Source/Shared/GlobalFunctions.o Source/Shared/StdLibFileIO.o Source/Shared/WinFileIO.o
LIBOBJECTS    = Source/MACLib/APECompress.o Source/MACLib/APECompressCore.o Source/MACLib/APECompressCreate.o Source/MACLib/APEDecompress.o Source/MACLib/APEHeader.o Source/MACLib/APEInfo.o Source/MACLib/APELink.o Source/MACLib/APESimple.o Source/MACLib/APETag.o Source/MACLib/BitArray.o Source/MACLib/MACLib.o Source/MACLib/MACProgressHelper.o Source/MACLib/MD5.o Source/MACLib/NewPredictor.o Source/MACLib/NNFilter.o Source/MACLib/Prepare.o Source/MACLib/UnBitArray.o Source/MACLib/UnBitArrayBase.o Source/MACLib/WAVInputSource.o Source/MACLib/Old/Anti-Predictor.o Source/MACLib/Old/AntiPredictorExtraHigh.o Source/MACLib/Old/AntiPredictorFast.o Source/MACLib/Old/AntiPredictorHigh.o Source/MACLib/Old/AntiPredictorNormal.o Source/MACLib/Old/APEDecompressCore.o Source/MACLib/Old/APEDecompressOld.o Source/MACLib/Old/UnBitArrayOld.o Source/MACLib/Old/UnMAC.o
DLLOBJECTS    = Source/MACDll/MACDll.o
CMDOBJECTS    = Source/Console/Console.o

all: $(DLLNAME) $(CMDNAME)

clean:
	rm -f $(DLLNAME) $(LIBNAME) $(SHAREDOBJECTS) $(LIBOBJECTS) $(DLLOBJECTS) $(CMDNAME) $(CMDOBJECTS)

install: all
	mkdir -p $(DESTDIR)$(bindir)
	cp $(CMDNAME) $(DESTDIR)$(bindir)

	mkdir -p $(DESTDIR)$(libdir)
	cp $(DLLNAME) $(DESTDIR)$(libdir)

ifneq ($(findstring MINGW,$(UNAME)),)
	cp $(LIBNAME) $(DESTDIR)$(libdir)/libMAC.a
else
	ln -sf $(DLLNAME) $(DESTDIR)$(libdir)/libMAC.$(SHAREDEXT)
endif

	mkdir -p $(DESTDIR)$(includedir)/MAC
	cp $(SRCDIR)/Shared/*.h $(DESTDIR)$(includedir)/MAC

$(DLLNAME): $(SHAREDOBJECTS) $(LIBOBJECTS) $(DLLOBJECTS)
	$(CC) $(SHAREDOBJECTS) $(LIBOBJECTS) $(DLLOBJECTS) $(LDOPTS) $(LDFLAGS) $(DLLLDOPTS) -o $@

$(CMDNAME): $(DLLNAME) $(CMDOBJECTS)
ifneq ($(findstring MINGW,$(UNAME)),)
	$(CC) $(SHAREDOBJECTS) $(LIBOBJECTS) $(CMDOBJECTS) $(LDOPTS) $(LDFLAGS) $(CMDLDOPTS) -o $@
else
	$(CC) $(SHAREDOBJECTS) $(CMDOBJECTS) $(DLLNAME) $(LDOPTS) $(LDFLAGS) $(CMDLDOPTS) -o $@
endif

Source/Shared/%.o: Source/Shared/%.cpp
	mkdir -p $(@D)
	$(CXX) $(CXXOPTS) $(CXXFLAGS) $< -o $@

Source/MACLib/%.o: Source/MACLib/%.cpp
	mkdir -p $(@D)
	$(CXX) $(CXXOPTS) $(CXXFLAGS) $< -o $@

Source/MACLib/Old/%.o: Source/MACLib/Old/%.cpp
	mkdir -p $(@D)
	$(CXX) $(CXXOPTS) $(CXXFLAGS) $< -o $@

Source/MACDll/%.o: Source/MACDll/%.cpp
	mkdir -p $(@D)
	$(CXX) $(CXXOPTS) $(CXXFLAGS) $< -o $@

Source/Console/%.o: Source/Console/%.cpp
	mkdir -p $(@D)
	$(CXX) $(CXXOPTS) $(CXXFLAGS) $< -o $@

=== debian/changelog ===
monkeys-audio-dmo (6.37-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Jul 2021 00:42:33 +0200

monkeys-audio-dmo (6.36-dmo1) unstable; urgency=medium

  * New upstream release.
  * Add upstream changelog from https://www.monkeysaudio.com/versionhistory.html

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jul 2021 09:30:06 +0200

monkeys-audio-dmo (6.35e-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Jul 2021 19:42:17 +0200

monkeys-audio-dmo (6.33-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update debian/rules for the new Makefile

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jul 2021 19:54:55 +0200

monkeys-audio-dmo (6.29-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 May 2021 23:38:00 +0200

monkeys-audio-dmo (6.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 May 2021 07:53:36 +0200

monkeys-audio-dmo (6.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 May 2021 09:06:18 +0200

monkeys-audio-dmo (6.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 May 2021 01:52:21 +0200

monkeys-audio-dmo (6.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Apr 2021 08:37:41 +0200

monkeys-audio-dmo (6.20g-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Apr 2021 07:45:15 +0200

monkeys-audio-dmo (6.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Apr 2021 10:36:55 +0200

monkeys-audio (4.11-u4-b5-s7-dmo3) unstable; urgency=medium

  * Rebuild with PIE
  * Fix FTBFS with GCC 6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Mar 2017 08:28:36 +0100

monkeys-audio (4.11-u4-b5-s7-dmo2) unstable; urgency=medium

  * Rebuild with gcc-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Aug 2015 10:26:04 +0200

monkeys-audio (4.11-u4-b5-s7-dmo1) unstable; urgency=low

  * New upstream release

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Jul 2013 18:14:49 +0200

monkeys-audio (3.99-u4-b5-dmo1) unstable; urgency=low

  * Upload with -dmo1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Jul 2012 15:36:12 +0200

monkeys-audio (3.99-u4-b5-0.2) unstable; urgency=low

  * Build with hardened flags and add multi-arch support.

 -- Christian Marillat <marillat@debian.org>  Fri, 23 Mar 2012 14:43:14 +0100

monkeys-audio (3.99-u4-b5-0.1) unstable; urgency=low

  * Rebuild to add missing Checksums-Sha1 and Checksums-Sha256 fields in .dsc
    file.
  * Two new patches to fix build and to remove executable stack.

 -- Christian Marillat <marillat@debian.org>  Mon, 08 Feb 2010 10:50:25 +0100

monkeys-audio (3.99-u4-b5-0.0) unstable; urgency=low

  * First upload to my repository.
  * Added SHNTOOL patch from rarewares.

 -- Christian Marillat <marillat@debian.org>  Wed, 13 Jun 2007 09:38:53 +0200

monkeys-audio (3.99-u4-b5-1~7.04mlk1) feisty; urgency=low

  * Packaged for Ubuntu 7.04 Feisty Fawn

 -- Georges Goncalves <morgoth@free.fr>  Thu, 19 Apr 2007 00:00:00 +0100

monkeys-audio (3.99-u4-b5-1~6.10mlk1) edgy; urgency=low

  * New upstream release
  * Removed obsolete build dependency on nasm
  * Packaged for Ubuntu Edgy

 -- Georges Goncalves <morgoth@free.fr>  Wed,  8 Nov 2006 00:00:00 +0100

monkeys-audio (3.99-u4-b3-0.1~6.10mlk1) edgy; urgency=low

  * Packaged for Ubuntu Edgy

 -- Georges Goncalves <morgoth@free.fr>  Wed, 11 Oct 2006 00:00:00 +0100

monkeys-audio (3.99-u4-b3-0.1~6.06mlk1) dapper; urgency=low

  * Packaged for Ubuntu Dapper

 -- Georges Goncalves <morgoth@free.fr>  Thu, 25 May 2006 00:00:00 +0100

monkeys-audio (3.99-u4-b3-0.1~5.10mlk1) breezy; urgency=low

  * Packaged for Ubuntu Breezy

 -- Georges Goncalves <morgoth@free.fr>  Thu, 20 Oct 2005 00:00:00 +0100

monkeys-audio (3.99-u4-b3-0.1~5.04mlk1) hoary; urgency=low

  * Packaged for Ubuntu Hoary

 -- Georges Goncalves <morgoth@free.fr>  Fri, 29 Jul 2005 00:00:00 +0100

monkeys-audio (3.99+update4+build3-0.1) unstable; urgency=low

  * Upstream Release
  * -0.1 changes build environment

 -- mike gan <xmixahlx@yahoo.com>  Thu, 14 Apr 2005 00:00:00 -0700

monkeys-audio (3.99+update4+build2-0.0) unstable; urgency=low

  * Seperate/New mac *nix port by supermmx

 -- mike gan <xmixahlx@yahoo.com>  Mon,  5 Apr 2005 00:00:00 -0700

monkeys-audio (3.99+update4-1) unstable; urgency=low

  * Seperate/New mac *nix port by supermmx

 -- mike gan <xmixahlx@yahoo.com>  Sat, 22 May 2004 10:53:29 -0700

monkeys-audio (3.96.b8-1) unstable; urgency=low

  * Initial Release.

 -- mike gan <xmixahlx@yahoo.com>  Mon, 29 Sep 2003 00:02:46 -0700

=== debian/control ===
Source: monkeys-audio-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://monkeysaudio.com/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), quilt, curl

Package: libmac8
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: monkey's audio lossless audio codec - library
 Monkey's Audio is a highly efficient and popular lossless audio codec.
 .
 It is a tuned compressor for audio, like mp3, ogg, etc - but "lossless" in
 that it does not completely discard information, and performs more of a
 "zipping" that can be reversed at any time and generate the original source
 audio file (hence "lossless" vs "lossy").
 .
 Features:
  * Efficient (fast and great compression)
  * Perfect sound - absolutely no quality loss
  * Incorporates redundant CRC's to ensure proper decompression of data
  * Tagging support - extremely flexible APE Tags

Package: libmac-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmac8 (= ${binary:Version}), ${misc:Depends}
Description: monkey's audio lossless audio codec - devel
 Monkey's Audio is a highly efficient and popular lossless audio codec.
 .
 It is a tuned compressor for audio, like mp3, ogg, etc - but "lossless" in
 that it does not completely discard information, and performs more of a
 "zipping" that can be reversed at any time and generate the original source
 audio file (hence "lossless" vs "lossy").
 .
 Features:
  * Efficient (fast and great compression)
  * Perfect sound - absolutely no quality loss
  * Incorporates redundant CRC's to ensure proper decompression of data
  * Tagging support - extremely flexible APE Tags

Package: monkeys-audio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: monkey's audio lossless audio codec - binary
 Monkey's Audio is a highly efficient and popular lossless audio codec.
 .
 It is a tuned compressor for audio, like mp3, ogg, etc - but "lossless" in
 that it does not completely discard information, and performs more of a
 "zipping" that can be reversed at any time and generate the original source
 audio file (hence "lossless" vs "lossy").
 .
 Features:
  * Efficient (fast and great compression)
  * Perfect sound - absolutely no quality loss
  * Incorporates redundant CRC's to ensure proper decompression of data
  * Tagging support - extremely flexible APE Tags
 .
 Support for file format before 3.99 has been removed. If you have old files
 use the mac-old binary from the monkeys-audio-old package (support for all
 files before 3.99) or ffmpeg 2.0 (support from 3.93 to 4.11).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt -DSource/Projects/NonWindows

# --no-parallel

override_dh_auto_install:
	dh_auto_install -- \
	prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installchangelogs:
	dh_installchangelogs debian/versionhistory.txt

debian/versionhistory.txt:
ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
	curl -sL  https://www.monkeysaudio.com/versionhistory.html | html2text | sed -n '12,5000p' > debian/versionhistory.txt
endif

override_dh_clean:
	dh_clean Makefile Shared/64/MACDll.dll Shared/32/MACDll.dll

=== debian/watch ===
version=4

opts=dversionmangle=s/\.// \
https://monkeysaudio.com/files/ \
MAC_SDK_(.*)@ARCHIVE_EXT@

## monkeys-audio-dmo 10.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project("Monkey's Audio")

set(CMAKE_CXX_STANDARD 98)

option(BUILD_SHARED "Build libMAC as a shared library" ON)
option(BUILD_UTIL "Build the mac command line tool" ON)

#
# Determine interface version
#
file(READ Shared/Version.h VERSION_INFO)
string(REGEX MATCH "MAC_INTERFACE_VERSION[ \t]+([0-9]+)" _ ${VERSION_INFO})
set(MAC_SOVERSION ${CMAKE_MATCH_1})

#
# Architecture detection code
#
set(archdetect_c_code "
#if defined __i386__ || defined _M_IX86
    #error cmake_ARCH x86
#elif defined __x86_64__ || defined _M_AMD64
    #error cmake_ARCH x86_64
#elif defined __arm__ || defined _M_ARM
    #error cmake_ARCH arm
#elif defined __aarch64__ || defined _M_ARM64
    #error cmake_ARCH aarch64
#elif defined __mips__
    #error cmake_ARCH mips
#elif defined __ppc__
    #error cmake_ARCH ppc
#elif defined __ppc64__
    #error cmake_ARCH ppc64
#elif defined __riscv
    #error cmake_ARCH riscv
#else
    #error cmake_ARCH unknown
#endif
")

function(find_target_architecture output_var)
    file(WRITE "${CMAKE_BINARY_DIR}/CMakeFiles/arch.c" "${archdetect_c_code}")

    enable_language(C)

    try_run(
        run_result_unused
        compile_result_unused
        "${CMAKE_BINARY_DIR}"
        "${CMAKE_BINARY_DIR}/CMakeFiles/arch.c"
        COMPILE_OUTPUT_VARIABLE ARCH
        CMAKE_FLAGS
    )

    # Parse the architecture name from the compiler output
    string(REGEX MATCH "cmake_ARCH ([a-zA-Z0-9_]+)" ARCH "${ARCH}")

    # Get rid of the value marker leaving just the architecture name
    string(REPLACE "cmake_ARCH " "" ARCH "${ARCH}")

    set(${output_var} "${ARCH}" PARENT_SCOPE)
endfunction()

find_target_architecture(ARCHITECTURE)

#
# Define Monkey's Audio source files
#
set(MAC_PUBLIC_HEADERS
        Shared/All.h
        Shared/APETag.h
        Shared/CharacterHelper.h
        Shared/IO.h
        Shared/MACDll.h
        Shared/MACLib.h
        Shared/NoWindows.h
        Shared/SmartPtr.h
        Shared/Version.h
        Shared/Warnings.h
        Shared/WindowsEnvironment.h)

set(MAC_SHARED_HEADERS
        Source/Shared/All.h
        Source/Shared/BufferIO.h
        Source/Shared/CharacterHelper.h
        Source/Shared/CircleBuffer.h
        Source/Shared/CPUFeatures.h
        Source/Shared/CRC.h
        Source/Shared/GlobalFunctions.h
        Source/Shared/ID3Genres.h
        Source/Shared/IO.h
        Source/Shared/MACDll.h
        Source/Shared/MFCGlobals.h
        Source/Shared/MFCWarnings.h
        Source/Shared/NoWindows.h
        Source/Shared/RollBuffer.h
        Source/Shared/SmartPtr.h
        Source/Shared/StdLibFileIO.h
        Source/Shared/Version.h
        Source/Shared/Warnings.h
        Source/Shared/WholeFileIO.h
        Source/Shared/WindowsEnvironment.h
        Source/Shared/WinFileIO.h)

set(MAC_LIBRARY_HEADERS
        Source/MACLib/APECompress.h
        Source/MACLib/APECompressCore.h
        Source/MACLib/APECompressCreate.h
        Source/MACLib/APEDecompress.h
        Source/MACLib/APEHeader.h
        Source/MACLib/APEInfo.h
        Source/MACLib/APELink.h
        Source/MACLib/APETag.h
        Source/MACLib/BitArray.h
        Source/MACLib/FloatTransform.h
        Source/MACLib/MACLib.h
        Source/MACLib/MACProgressHelper.h
        Source/MACLib/MD5.h
        Source/MACLib/NewPredictor.h
        Source/MACLib/NNFilter.h
        Source/MACLib/NNFilterCommon.h
        Source/MACLib/Predictor.h
        Source/MACLib/Prepare.h
        Source/MACLib/ScaledFirstOrderFilter.h
        Source/MACLib/UnBitArray.h
        Source/MACLib/UnBitArrayBase.h
        Source/MACLib/WAVInputSource.h
        Source/MACLib/Old/Anti-Predictor.h
        Source/MACLib/Old/APEDecompressCore.h
        Source/MACLib/Old/APEDecompressOld.h
        Source/MACLib/Old/UnBitArrayOld.h
        Source/MACLib/Old/UnMAC.h)

if(WIN32)
   set(MAC_OS_SRC
        Source/Shared/WinFileIO.cpp)
else()
   set(MAC_OS_SRC
        Source/Shared/StdLibFileIO.cpp)
endif()

set(MAC_SHARED_SOURCE_FILES
        Source/Shared/BufferIO.cpp
        Source/Shared/CharacterHelper.cpp
        Source/Shared/CircleBuffer.cpp
        Source/Shared/CPUFeatures.cpp
        Source/Shared/CRC.cpp
        Source/Shared/GlobalFunctions.cpp
        Source/Shared/WholeFileIO.cpp
        ${MAC_OS_SRC})

set(MAC_LIBRARY_SOURCE_FILES
        Source/MACDll/MACDll.cpp
        Source/MACLib/APECompress.cpp
        Source/MACLib/APECompressCore.cpp
        Source/MACLib/APECompressCreate.cpp
        Source/MACLib/APEDecompress.cpp
        Source/MACLib/APEHeader.cpp
        Source/MACLib/APEInfo.cpp
        Source/MACLib/APELink.cpp
        Source/MACLib/APETag.cpp
        Source/MACLib/BitArray.cpp
        Source/MACLib/FloatTransform.cpp
        Source/MACLib/MACLib.cpp
        Source/MACLib/MACProgressHelper.cpp
        Source/MACLib/MD5.cpp
        Source/MACLib/NewPredictor.cpp
        Source/MACLib/NNFilter.cpp
        Source/MACLib/NNFilterGeneric.cpp
        Source/MACLib/Prepare.cpp
        Source/MACLib/UnBitArray.cpp
        Source/MACLib/UnBitArrayBase.cpp
        Source/MACLib/WAVInputSource.cpp
        Source/MACLib/Old/Anti-Predictor.cpp
        Source/MACLib/Old/AntiPredictorExtraHigh.cpp
        Source/MACLib/Old/AntiPredictorFast.cpp
        Source/MACLib/Old/AntiPredictorHigh.cpp
        Source/MACLib/Old/AntiPredictorNormal.cpp
        Source/MACLib/Old/APEDecompressCore.cpp
        Source/MACLib/Old/APEDecompressOld.cpp
        Source/MACLib/Old/UnBitArrayOld.cpp
        Source/MACLib/Old/UnMAC.cpp)

if(${ARCHITECTURE} STREQUAL x86 OR ${ARCHITECTURE} STREQUAL x86_64)
    set(MAC_LIBRARY_SOURCE_FILES
        ${MAC_LIBRARY_SOURCE_FILES}
        Source/MACLib/NNFilterAVX2.cpp
        Source/MACLib/NNFilterAVX512.cpp
        Source/MACLib/NNFilterSSE2.cpp
        Source/MACLib/NNFilterSSE4.1.cpp)
endif()

if(${ARCHITECTURE} STREQUAL arm OR ${ARCHITECTURE} STREQUAL aarch64)
    set(MAC_LIBRARY_SOURCE_FILES
        ${MAC_LIBRARY_SOURCE_FILES}
        Source/MACLib/NNFilterNeon.cpp)
endif()

#
# Define library targets
#
add_library(shared OBJECT ${MAC_SHARED_HEADERS} ${MAC_SHARED_SOURCE_FILES})
add_library(objects OBJECT ${MAC_LIBRARY_HEADERS} ${MAC_LIBRARY_SOURCE_FILES})

if(BUILD_SHARED)
    add_library(MAC SHARED $<TARGET_OBJECTS:shared> $<TARGET_OBJECTS:objects>)
    set_target_properties(MAC PROPERTIES VERSION ${MAC_SOVERSION} SOVERSION ${MAC_SOVERSION})

    if(WIN32)
        if(${ARCHITECTURE} STREQUAL x86)
            target_link_options(MAC PRIVATE "-Wl,--add-stdcall-alias")
        endif()
        set_target_properties(MAC PROPERTIES OUTPUT_NAME MACDll)
        set(CMAKE_SHARED_LIBRARY_PREFIX "")
        set(CMAKE_IMPORT_LIBRARY_PREFIX "")
    else()
        target_compile_options(shared PRIVATE "-fPIC" "-fvisibility=hidden")
        target_compile_options(objects PRIVATE "-fPIC" "-fvisibility=hidden")
    endif()
else()
    add_library(MAC STATIC $<TARGET_OBJECTS:shared> $<TARGET_OBJECTS:objects>)
endif()

if(WIN32)
    target_compile_definitions(shared PUBLIC PLATFORM_WINDOWS)
    target_compile_definitions(objects PUBLIC PLATFORM_WINDOWS)
elseif(APPLE)
    target_compile_definitions(shared PUBLIC PLATFORM_APPLE)
    target_compile_definitions(objects PUBLIC PLATFORM_APPLE)
else()
    target_compile_definitions(shared PUBLIC PLATFORM_LINUX)
    target_compile_definitions(objects PUBLIC PLATFORM_LINUX)

    if(ANDROID)
        target_compile_definitions(shared PUBLIC PLATFORM_ANDROID)
        target_compile_definitions(objects PUBLIC PLATFORM_ANDROID)
    endif()
endif()

if(${ARCHITECTURE} STREQUAL x86 OR ${ARCHITECTURE} STREQUAL x86_64)
    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.1))
        set_source_files_properties(Source/MACLib/NNFilterAVX512.cpp PROPERTIES COMPILE_FLAGS "-mavx512dq -mavx512bw")
    endif()
    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.7))
        set_source_files_properties(Source/MACLib/NNFilterAVX2.cpp PROPERTIES COMPILE_FLAGS "-mavx2")
    endif()
    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.3))
        set_source_files_properties(Source/MACLib/NNFilterSSE4.1.cpp PROPERTIES COMPILE_FLAGS "-msse4.1")
    endif()
    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        set_source_files_properties(Source/MACLib/NNFilterSSE2.cpp PROPERTIES COMPILE_FLAGS "-msse2")
    endif()
endif()

#
# Set include folders
#
target_include_directories(shared PUBLIC
   ${CMAKE_CURRENT_SOURCE_DIR}/Source/Shared)

target_include_directories(objects PUBLIC
   ${CMAKE_CURRENT_SOURCE_DIR}/Source/MACLib
   ${CMAKE_CURRENT_SOURCE_DIR}/Source/Shared)

#
# Define utility target
#
if(BUILD_UTIL)
    set(MAC_UTIL_HEADER_FILES
       Source/Console/Console.h)

    set(MAC_UTIL_SOURCE_FILES
       Source/Console/Console.cpp)

    add_executable(macutil ${MAC_UTIL_HEADER_FILES} ${MAC_UTIL_SOURCE_FILES} $<TARGET_OBJECTS:shared>)
    target_link_libraries(macutil MAC)

    target_include_directories(macutil PUBLIC
       ${CMAKE_CURRENT_SOURCE_DIR}/Source/MACLib
       ${CMAKE_CURRENT_SOURCE_DIR}/Source/Shared)

    if(WIN32)
        target_compile_definitions(macutil PRIVATE PLATFORM_WINDOWS)
    elseif(APPLE)
        target_compile_definitions(macutil PRIVATE PLATFORM_APPLE)
    else()
        target_compile_definitions(macutil PRIVATE PLATFORM_LINUX)

        if(ANDROID)
    	    target_compile_definitions(macutil PRIVATE PLATFORM_ANDROID)
        endif()
    endif()

    if(WIN32)
        target_link_options(macutil PRIVATE "-municode" "-mconsole" "-Wl,--enable-stdcall-fixup")
        set_target_properties(macutil PROPERTIES OUTPUT_NAME MAC)
    else()
        set_target_properties(macutil PROPERTIES OUTPUT_NAME mac)
    endif()
endif()

#
# Define install targets
#
include(GNUInstallDirs)

install(FILES ${MAC_PUBLIC_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/MAC")

if(BUILD_SHARED)
    install(TARGETS MAC LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
else()
    install(TARGETS MAC ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")
endif()

if(BUILD_UTIL)
    install(TARGETS macutil RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

=== debian/changelog ===
monkeys-audio-dmo (10.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Jun 2023 08:36:07 +0200

monkeys-audio-dmo (10.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jun 2023 07:41:09 +0200

monkeys-audio-dmo (10.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 31 May 2023 17:25:50 +0200

monkeys-audio-dmo (10.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 May 2023 07:21:21 +0200

monkeys-audio-dmo (10.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 May 2023 17:06:38 +0200

monkeys-audio-dmo (10.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 May 2023 07:01:59 +0200

monkeys-audio-dmo (10.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Apr 2023 08:40:42 +0200

monkeys-audio-dmo (10.09-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Apr 2023 18:13:21 +0200

monkeys-audio-dmo (10.07-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Mar 2023 16:41:24 +0100

monkeys-audio-dmo (10.06-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2023 01:32:44 +0100

monkeys-audio-dmo (10.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Mar 2023 01:53:23 +0100

monkeys-audio-dmo (10.00-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Mar 2023 17:42:50 +0100

monkeys-audio-dmo (9.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Mar 2023 08:41:20 +0100

monkeys-audio-dmo (9.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Feb 2023 20:15:18 +0100

monkeys-audio-dmo (9.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Feb 2023 16:47:26 +0100

monkeys-audio-dmo (9.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Feb 2023 01:31:12 +0100

monkeys-audio-dmo (9.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Feb 2023 18:15:53 +0100

monkeys-audio-dmo (9.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Feb 2023 23:51:16 +0100

monkeys-audio-dmo (9.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2023 16:42:55 +0100

monkeys-audio-dmo (9.04-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Dec 2022 09:11:02 +0100

monkeys-audio-dmo (9.02-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Dec 2022 13:31:19 +0100

monkeys-audio-dmo (9.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Dec 2022 08:35:14 +0100

monkeys-audio-dmo (9.00-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Dec 2022 07:45:17 +0100

monkeys-audio-dmo (8.99-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Nov 2022 19:33:50 +0100

monkeys-audio-dmo (8.98-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Nov 2022 15:43:14 +0100

monkeys-audio-dmo (8.97-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Nov 2022 08:51:12 +0100

monkeys-audio-dmo (8.95-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Oct 2022 08:57:07 +0200

monkeys-audio-dmo (8.92-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Oct 2022 08:38:12 +0200

monkeys-audio-dmo (8.90-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Sep 2022 08:49:55 +0200

monkeys-audio-dmo (8.81-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Sep 2022 17:56:13 +0200

monkeys-audio-dmo (8.68-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Sep 2022 00:42:33 +0200

monkeys-audio-dmo (8.67-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Sep 2022 08:54:12 +0200

monkeys-audio-dmo (8.65-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Sep 2022 08:48:04 +0200

monkeys-audio-dmo (8.64-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Sep 2022 08:46:24 +0200

monkeys-audio-dmo (8.56-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Aug 2022 07:55:52 +0200



=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://monkeysaudio.com/
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), quilt, curl
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, quilt, ninja-build
 
-Package: libmac8
+Package: libmac10
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmac8 (= ${binary:Version}), ${misc:Depends}
+Depends: libmac10 (= ${binary:Version}), ${misc:Depends}
 Description: monkey's audio lossless audio codec - devel
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .

=== debian/watch ===
version=4

opts=dversionmangle=s/\.// \
https://monkeysaudio.com/files/ \
MAC_(.*)_SDK@ARCHIVE_EXT@

## monkeys-audio-dmo 11.20

=== debian/changelog ===
monkeys-audio-dmo (11.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Jul 2025 06:37:50 +0200

monkeys-audio-dmo (11.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Jun 2025 16:55:50 +0200

monkeys-audio-dmo (11.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Jun 2025 08:35:35 +0200

monkeys-audio-dmo (11.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jun 2025 17:32:30 +0200

monkeys-audio-dmo (11.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 May 2025 07:33:51 +0200

monkeys-audio-dmo (11.14-dmo2) unstable; urgency=medium

  * Update upstream changelog

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 May 2025 08:43:25 +0200

monkeys-audio-dmo (11.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 May 2025 09:31:38 +0200

monkeys-audio-dmo (11.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Apr 2025 07:40:16 +0200

monkeys-audio-dmo (11.09-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Apr 2025 08:01:56 +0200

monkeys-audio-dmo (11.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Apr 2025 10:33:14 +0200

monkeys-audio-dmo (11.07-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Apr 2025 02:01:13 +0200

monkeys-audio-dmo (11.05-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Apr 2025 15:07:40 +0200

monkeys-audio-dmo (11.04-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove armel upstream patch

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Apr 2025 08:36:49 +0200

monkeys-audio-dmo (11.03.1-dmo2) unstable; urgency=medium

  * Add upstream patch to fix armel build

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Apr 2025 08:00:20 +0200

monkeys-audio-dmo (11.03.1-dmo1) unstable; urgency=medium

  * Update upstream tarball with RISCV fixes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Apr 2025 14:04:54 +0200

monkeys-audio-dmo (11.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Apr 2025 23:59:38 +0200

monkeys-audio-dmo (11.02-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Apr 2025 08:01:57 +0200

monkeys-audio-dmo (11.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 31 Mar 2025 17:37:09 +0200

monkeys-audio-dmo (10.96-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Feb 2025 08:31:35 +0100

monkeys-audio-dmo (10.94-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Feb 2025 12:07:10 +0100

monkeys-audio-dmo (10.93-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Feb 2025 08:37:02 +0100

monkeys-audio-dmo (10.92-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jan 2025 09:16:57 +0100

monkeys-audio-dmo (10.91-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Jan 2025 15:58:17 +0100

monkeys-audio-dmo (10.87-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Jan 2025 09:48:27 +0100

monkeys-audio-dmo (10.86-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Dec 2024 09:16:04 +0100

monkeys-audio-dmo (10.85-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Dec 2024 16:16:12 +0100

monkeys-audio-dmo (10.84-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Dec 2024 08:52:51 +0100

monkeys-audio-dmo (10.83-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Dec 2024 15:34:17 +0100

monkeys-audio-dmo (10.82-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Nov 2024 23:36:01 +0100

monkeys-audio-dmo (10.80-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2024 19:19:48 +0100

monkeys-audio-dmo (10.77-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Oct 2024 01:06:16 +0200

monkeys-audio-dmo (10.76-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Sep 2024 08:37:24 +0200

monkeys-audio-dmo (10.75-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Aug 2024 17:02:59 +0200

monkeys-audio-dmo (10.74-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Jun 2024 18:07:48 +0200

monkeys-audio-dmo (10.72-dmo1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://monkeysaudio.com/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, quilt, ninja-build
 
-Package: libmac10
+Package: libmac13
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: monkey's audio lossless audio codec - library
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .
@@ -31,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmac10 (= ${binary:Version}), ${misc:Depends}
+Depends: libmac13 (= ${binary:Version}), ${misc:Depends},
 Description: monkey's audio lossless audio codec - devel
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .
@@ -48,7 +47,7 @@
 
 Package: monkeys-audio
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: monkey's audio lossless audio codec - binary
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DBUILD_SHARED=ON \
	-DBUILD_UTIL=ON

override_dh_installchangelogs:
	dh_installchangelogs debian/versionhistory.txt

debian/versionhistory.txt:
ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
	curl -sL https://www.monkeysaudio.com/versionhistory.html | html2text | sed -n '12,5000p' > debian/versionhistory.txt
endif

override_dh_clean:
	dh_clean Shared/32/MACDll.dll Shared/64/MACDll64.dll

override_dh_auto_test:

=== debian/watch ===
version=4

opts="repack,uversionmangle=s/11/11\./;s/10[0-9]/10\./" \
https://monkeysaudio.com/developers.html \
https://monkeysaudio.com/files/MAC_@ANY_VERSION@_SDK@ARCHIVE_EXT@

## monkeys-audio-dmo 11.57

=== debian/changelog ===
monkeys-audio-dmo (11.57-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Oct 2025 08:37:20 +0200

monkeys-audio-dmo (11.53-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Sep 2025 02:13:13 +0200

monkeys-audio-dmo (11.43-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Sep 2025 21:18:29 +0200

monkeys-audio-dmo (11.42-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Sep 2025 07:41:03 +0200

monkeys-audio-dmo (11.40-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Aug 2025 15:28:02 +0200

monkeys-audio-dmo (11.37-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Aug 2025 23:40:29 +0200

monkeys-audio-dmo (11.33-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Aug 2025 17:35:02 +0200

## monkeys-audio-dmo 11.63

=== debian/changelog ===
monkeys-audio-dmo (11.63-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Oct 2025 17:04:05 +0200

## monkeys-audio-dmo 11.65

=== debian/changelog ===
monkeys-audio-dmo (11.65-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Oct 2025 11:37:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, quilt, ninja-build
 
-Package: libmac13
+Package: libmac14
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmac13 (= ${binary:Version}), ${misc:Depends},
+Depends: libmac14 (= ${binary:Version}), ${misc:Depends},
 Description: monkey's audio lossless audio codec - devel
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .

## monkeys-audio-dmo 11.70

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.6)
 project("Monkey's Audio")
 
 set(CMAKE_CXX_STANDARD 98)
@@ -10,7 +10,7 @@
 # Determine interface version
 #
 file(READ Shared/Version.h VERSION_INFO)
-string(REGEX MATCH "MAC_INTERFACE_VERSION[ \t]+([0-9]+)" _ ${VERSION_INFO})
+string(REGEX MATCH "APE_INTERFACE_VERSION[ \t]+([0-9]+)" _ ${VERSION_INFO})
 set(MAC_SOVERSION ${CMAKE_MATCH_1})
 
 #
@@ -21,18 +21,22 @@
     #error cmake_ARCH x86
 #elif defined __x86_64__ || defined _M_AMD64
     #error cmake_ARCH x86_64
-#elif defined __arm__ || defined _M_ARM
+#elif defined __arm__ && (!defined __ARM_ARCH || __ARM_ARCH < 7 || !defined __ARM_FP)
     #error cmake_ARCH arm
+#elif (defined __arm__ && defined __ARM_ARCH && __ARM_ARCH >= 7 && defined __ARM_FP) || defined _M_ARM
+    #error cmake_ARCH armhf
 #elif defined __aarch64__ || defined _M_ARM64
     #error cmake_ARCH aarch64
 #elif defined __mips__
     #error cmake_ARCH mips
-#elif defined __ppc__
+#elif defined __ppc64__ || defined __powerpc64__
+    #error cmake_ARCH ppc64
+#elif defined __ppc__ || defined __powerpc__
     #error cmake_ARCH ppc
-#elif defined __ppc64__
-    #error cmake_ARCH ppc64
-#elif defined __riscv
+#elif defined __riscv && __riscv_xlen == 32
     #error cmake_ARCH riscv
+#elif defined __riscv && __riscv_xlen == 64
+    #error cmake_ARCH riscv64
 #else
     #error cmake_ARCH unknown
 #endif
@@ -70,7 +74,7 @@
         Shared/All.h
         Shared/APETag.h
         Shared/CharacterHelper.h
-        Shared/IO.h
+        Shared/IAPEIO.h
         Shared/MACDll.h
         Shared/MACLib.h
         Shared/NoWindows.h
@@ -88,14 +92,17 @@
         Source/Shared/CRC.h
         Source/Shared/GlobalFunctions.h
         Source/Shared/ID3Genres.h
-        Source/Shared/IO.h
+        Source/Shared/IAPEIO.h
         Source/Shared/MACDll.h
+        Source/Shared/MemoryIO.h
         Source/Shared/MFCGlobals.h
         Source/Shared/MFCWarnings.h
         Source/Shared/NoWindows.h
         Source/Shared/RollBuffer.h
+        Source/Shared/Semaphore.h
         Source/Shared/SmartPtr.h
         Source/Shared/StdLibFileIO.h
+        Source/Shared/Thread.h
         Source/Shared/Version.h
         Source/Shared/Warnings.h
         Source/Shared/WholeFileIO.h
@@ -107,6 +114,7 @@
         Source/MACLib/APECompressCore.h
         Source/MACLib/APECompressCreate.h
         Source/MACLib/APEDecompress.h
+        Source/MACLib/APEDecompressCore.h
         Source/MACLib/APEHeader.h
         Source/MACLib/APEInfo.h
         Source/MACLib/APELink.h
@@ -125,11 +133,11 @@
         Source/MACLib/UnBitArray.h
         Source/MACLib/UnBitArrayBase.h
         Source/MACLib/WAVInputSource.h
-        Source/MACLib/Old/Anti-Predictor.h
-        Source/MACLib/Old/APEDecompressCore.h
+        Source/MACLib/Old/AntiPredictorOld.h
+        Source/MACLib/Old/APEDecompressCoreOld.h
         Source/MACLib/Old/APEDecompressOld.h
         Source/MACLib/Old/UnBitArrayOld.h
-        Source/MACLib/Old/UnMAC.h)
+        Source/MACLib/Old/UnMACOld.h)
 
 if(WIN32)
    set(MAC_OS_SRC
@@ -146,6 +154,9 @@
         Source/Shared/CPUFeatures.cpp
         Source/Shared/CRC.cpp
         Source/Shared/GlobalFunctions.cpp
+        Source/Shared/MemoryIO.cpp
+        Source/Shared/Semaphore.cpp
+        Source/Shared/Thread.cpp
         Source/Shared/WholeFileIO.cpp
         ${MAC_OS_SRC})
 
@@ -155,6 +166,7 @@
         Source/MACLib/APECompressCore.cpp
         Source/MACLib/APECompressCreate.cpp
         Source/MACLib/APEDecompress.cpp
+        Source/MACLib/APEDecompressCore.cpp
         Source/MACLib/APEHeader.cpp
         Source/MACLib/APEInfo.cpp
         Source/MACLib/APELink.cpp
@@ -171,15 +183,15 @@
         Source/MACLib/UnBitArray.cpp
         Source/MACLib/UnBitArrayBase.cpp
         Source/MACLib/WAVInputSource.cpp
-        Source/MACLib/Old/Anti-Predictor.cpp
-        Source/MACLib/Old/AntiPredictorExtraHigh.cpp
-        Source/MACLib/Old/AntiPredictorFast.cpp
-        Source/MACLib/Old/AntiPredictorHigh.cpp
-        Source/MACLib/Old/AntiPredictorNormal.cpp
-        Source/MACLib/Old/APEDecompressCore.cpp
+        Source/MACLib/Old/AntiPredictorOld.cpp
+        Source/MACLib/Old/AntiPredictorExtraHighOld.cpp
+        Source/MACLib/Old/AntiPredictorFastOld.cpp
+        Source/MACLib/Old/AntiPredictorHighOld.cpp
+        Source/MACLib/Old/AntiPredictorNormalOld.cpp
+        Source/MACLib/Old/APEDecompressCoreOld.cpp
         Source/MACLib/Old/APEDecompressOld.cpp
         Source/MACLib/Old/UnBitArrayOld.cpp
-        Source/MACLib/Old/UnMAC.cpp)
+        Source/MACLib/Old/UnMACOld.cpp)
 
 if(${ARCHITECTURE} STREQUAL x86 OR ${ARCHITECTURE} STREQUAL x86_64)
     set(MAC_LIBRARY_SOURCE_FILES
@@ -190,10 +202,22 @@
         Source/MACLib/NNFilterSSE4.1.cpp)
 endif()
 
-if(${ARCHITECTURE} STREQUAL arm OR ${ARCHITECTURE} STREQUAL aarch64)
+if(${ARCHITECTURE} STREQUAL arm OR ${ARCHITECTURE} STREQUAL armhf OR ${ARCHITECTURE} STREQUAL aarch64)
     set(MAC_LIBRARY_SOURCE_FILES
         ${MAC_LIBRARY_SOURCE_FILES}
         Source/MACLib/NNFilterNeon.cpp)
+endif()
+
+if(${ARCHITECTURE} STREQUAL riscv OR ${ARCHITECTURE} STREQUAL riscv64)
+    set(MAC_LIBRARY_SOURCE_FILES
+        ${MAC_LIBRARY_SOURCE_FILES}
+        Source/MACLib/NNFilterRVV.cpp)
+endif()
+
+if(${ARCHITECTURE} STREQUAL ppc OR ${ARCHITECTURE} STREQUAL ppc64)
+    set(MAC_LIBRARY_SOURCE_FILES
+        ${MAC_LIBRARY_SOURCE_FILES}
+        Source/MACLib/NNFilterAltiVec.cpp)
 endif()
 
 #
@@ -252,6 +276,24 @@
     endif()
 endif()
 
+if(${ARCHITECTURE} STREQUAL armhf)
+    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+        set_source_files_properties(Source/MACLib/NNFilterNeon.cpp PROPERTIES COMPILE_FLAGS "-march=armv7-a -mfpu=neon -mfloat-abi=hard")
+    endif()
+endif()
+
+if(${ARCHITECTURE} STREQUAL riscv)
+    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+        set_source_files_properties(Source/MACLib/NNFilterRVV.cpp PROPERTIES COMPILE_FLAGS "-march=rv32gcv")
+    endif()
+endif()
+
+if(${ARCHITECTURE} STREQUAL riscv64)
+    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+        set_source_files_properties(Source/MACLib/NNFilterRVV.cpp PROPERTIES COMPILE_FLAGS "-march=rv64gcv")
+    endif()
+endif()
+
 #
 # Set include folders
 #
@@ -306,13 +348,3 @@
 
 install(FILES ${MAC_PUBLIC_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/MAC")
 
-if(BUILD_SHARED)
-    install(TARGETS MAC LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
-else()
-    install(TARGETS MAC ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")
-endif()
-
-if(BUILD_UTIL)
-    install(TARGETS macutil RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
-endif()
-

=== debian/changelog ===
monkeys-audio-dmo (11.70-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Oct 2025 15:06:13 +0100

## monkeys-audio-dmo 11.71

=== debian/changelog ===
monkeys-audio-dmo (11.71-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Oct 2025 15:44:38 +0100

## monkeys-audio-dmo 11.80

=== debian/changelog ===
monkeys-audio-dmo (11.80-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Nov 2025 15:05:44 +0100
